package com.bzd.system.service.kc.kn;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 陈列养护表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcKnClyhStoremaintenancesheetService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcKnClyhStoremaintenancesheet(PageData pd)throws Exception {
        return daoSupport.update("SKcKnClyhStoremaintenancesheetMapper.addSKcKnClyhStoremaintenancesheet", pd);
    }

    public List<PageData> findSKcKnClyhStoremaintenancesheetList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcKnClyhStoremaintenancesheetMapper.selectSKcKnClyhStoremaintenancesheetList", pd);
    }

    public Integer SKcKnClyhStoremaintenancesheetRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcKnClyhStoremaintenancesheetMapper.SKcKnClyhStoremaintenancesheetRemove", pd);
    }


    public Integer updateSKcKnClyhStoremaintenancesheet(PageData pd)throws Exception {
        return daoSupport.update("SKcKnClyhStoremaintenancesheetMapper.updateSKcKnClyhStoremaintenancesheet", pd);
    }

}
